# Wi-Fi Printer

This project prints all SSIDs, MAC addresses, and their vendors on a thermal printer using a Wi-Fi adaptor in monitor mode.


## Overview




## Usage
1. Setup a Raspberry Pi with Raspbian/Raspberry OS
2. Connect to Internet
3. Run ``install.sh``-Script
4. Wait
5. Set up for further usage, i.e.:
  * Remove Internet connectivity (not needed anymore)
  * Connect printer and Wi-Fi adaptor
  * Include everything into nice device :)

## Important
* You might need to adapt the printer configuration in ``cms.py`` depending on the printer you use
* You might need to change the name of the network adaptor in ``install.sh``

## Tips
For a headless install you need to
* Enable SSH: ``touch <sd-card>/boot/ssh``
* Configure Wi-Fi: Create file  ``<sd-card>/boot/wpa_supplicant.conf``. This repository contains a configuration file for Freifunk.

    country=DE
    ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
    update_config=1
    
    network={
        ssid="NETWORK-NAME"
        psk="NETWORK-PASSWORD"
    }


